using System.Web.UI.WebControls;

namespace Buayacorp.Web
{
	internal static class Utils
	{
		public static void AddAttribute(WebControl control, string key, string value)
		{
			string attr = control.Attributes[key];
			value = value.TrimEnd(';') + ';';
			if (string.IsNullOrEmpty(attr))
			{
				control.Attributes.Add(key, value);
			}
			else
			{
				control.Attributes.Remove(key);
				control.Attributes.Add(key, value + attr);
			}
		}
	}
}
